cpu_raw_data_array_t(3)

NAME
cpu_raw_data_array_t - Contains an array of raw CPUID data.

SYNOPSIS

#include <libcpuid.h>

  Data Fields
bool with_affinity
logical_cpu_t num_raw
struct cpu_raw_data_t * raw

Detailed Description

Contains an array of raw CPUID data. This contains one cpu_raw_data_t for each logical CPU.

Note
    There is a hard limit of raw array: it is bounded by the logical_cpu_t type. In other words, the limit is 65536 logical CPUs in the system.

Field Documentation

  logical_cpu_t cpu_raw_data_array_t::num_raw
raw length

  struct cpu_raw_data_t* cpu_raw_data_array_t::raw
array of raw CPUID data

  bool cpu_raw_data_array_t::with_affinity
Indicates if raw was obtained by using CPU affinity if false, raw contains a single data from an old dump (versions 0.5.1 and below). if true, raw contains data from a new dump (versions 0.6.0 and above). if true and if num_raw is 1, it indicates only one logical core was detected on the system.

Author

Generated automatically by Doxygen for libcpuid from the source code.